Package ghidra.app.util.demangler

# Class DemangledException

java.lang.Object
java.lang.Throwable
java.lang.Exception
ghidra.app.util.demangler.DemangledException

All Implemented Interfaces:
  `Serializable`

public class DemangledException extends Exception
A class to handle exceptions that occur demangling.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DemangledException(boolean invalidMangledName)`
  Use this constructor to indicate the demangler failed because the string to demangle does not appear to represent a valid mangled name.
  `DemangledException(Exception cause)`
  Use this constructor to indicate a demangler exception due to an exception thrown during the demangling process.
  `DemangledException(String message)`
  Use this constructor to indicate a demangler exception due to some general invalid or unsupported mangled string characteristic.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isInvalidMangledName()`
  Returns true if the string to demangle does not appear to represent a valid mangled name

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DemangledException

    public DemangledException(Exception cause)
    Use this constructor to indicate a demangler exception due to an exception thrown during the demangling process.
    Parameters:
      `cause` - the exception thrown during the demangling process

  - ### DemangledException

    public DemangledException(String message)
    Use this constructor to indicate a demangler exception due to some general invalid or unsupported mangled string characteristic. For example, unrecognized datatype.
    Parameters:
      `message` - the invalid or unsupported mangled message

  - ### DemangledException

    public DemangledException(boolean invalidMangledName)
    Use this constructor to indicate the demangler failed because the string to demangle does not appear to represent a valid mangled name.
    Parameters:
      `invalidMangledName` - true to indicate the string to demangle does not appear to represent a valid mangled name

- ## Method Details

  - ### isInvalidMangledName

    public boolean isInvalidMangledName()
    Returns true if the string to demangle does not appear to represent a valid mangled name
    Returns:
      true if the string to demangle does not appear to represent a valid mangled name